window.Gleam.initSearch([{"doc":"lap","title":"lap","content":"# lap\n\n[![Package Version](https://img.shields.io/hexpm/v/lap)](https://hex.pm/packages/lap)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/lap/)\n\nQuick&#39;n dirty timing of your Gleam code.\n\n```sh\ngleam add lap\n```\n\n```gleam\nimport gleam/int\nimport gleam/io\nimport lap\n\npub fn main() {\n  let data = lap.start_in_milliseconds(&quot;1&quot;)\n\n  // Some work\n\n  let data = data |&gt; lap.time(&quot;2&quot;)\n\n  // Some work\n\n  let data = data |&gt; lap.time(&quot;3&quot;)\n\n  data |&gt; lap.intervals |&gt; io.debug\n  // [#(&quot;1&quot;, &quot;2&quot;, 10), #(&quot;2&quot;, &quot;3&quot;, 30)]\n\n  data |&gt; lap.sort_max |&gt; lap.pretty_print |&gt; io.println\n  // +-------+-----+----------+\n  // | Start | End | Interval |\n  // +-------+-----+----------+\n  // | 2     | 3   | 30       |\n  // | 1     | 2   | 10       |\n  // +-------+-----+----------+\n\n  data |&gt; lap.total_time |&gt; int.to_string |&gt; io.println\n  // 40\n}\n```\n","url":"index.html"},{"doc":"lap","title":"IntervalData","content":"pub opaque type IntervalData\n\n\nSynonyms:\nlap.IntervalData\nlap IntervalData","url":"lap.html#IntervalData"},{"doc":"lap","title":"LapData","content":"pub opaque type LapData\n\n\nSynonyms:\nlap.LapData\nlap LapData","url":"lap.html#LapData"},{"doc":"lap","title":"intervals","content":"pub fn intervals(data: LapData) -&gt; List(#(String, String, Int))\n\nSynonyms:\nlap.intervals\nlap intervals","url":"lap.html#intervals"},{"doc":"lap","title":"pretty_print","content":"pub fn pretty_print(data: LapData) -&gt; String\n\nSynonyms:\nlap.pretty_print\nlap pretty_print","url":"lap.html#pretty_print"},{"doc":"lap","title":"sort_max","content":"pub fn sort_max(data: LapData) -&gt; LapData\n\nSynonyms:\nlap.sort_max\nlap sort_max","url":"lap.html#sort_max"},{"doc":"lap","title":"start","content":"pub fn start(marker: String, duration_unit: Unit) -&gt; LapData\n\nSynonyms:\nlap.start\nlap start","url":"lap.html#start"},{"doc":"lap","title":"start_in_microseconds","content":"pub fn start_in_microseconds(marker: String) -&gt; LapData\n\nSynonyms:\nlap.start_in_microseconds\nlap start_in_microseconds","url":"lap.html#start_in_microseconds"},{"doc":"lap","title":"start_in_milliseconds","content":"pub fn start_in_milliseconds(marker: String) -&gt; LapData\n\nSynonyms:\nlap.start_in_milliseconds\nlap start_in_milliseconds","url":"lap.html#start_in_milliseconds"},{"doc":"lap","title":"start_in_minutes","content":"pub fn start_in_minutes(marker: String) -&gt; LapData\n\nSynonyms:\nlap.start_in_minutes\nlap start_in_minutes","url":"lap.html#start_in_minutes"},{"doc":"lap","title":"start_in_seconds","content":"pub fn start_in_seconds(marker: String) -&gt; LapData\n\nSynonyms:\nlap.start_in_seconds\nlap start_in_seconds","url":"lap.html#start_in_seconds"},{"doc":"lap","title":"time","content":"pub fn time(data: LapData, marker: String) -&gt; LapData\n\nSynonyms:\nlap.time\nlap time","url":"lap.html#time"},{"doc":"lap","title":"total_time","content":"pub fn total_time(data: LapData) -&gt; Int\n\nSynonyms:\nlap.total_time\nlap total_time","url":"lap.html#total_time"},{"doc":"lap","title":"lap","content":"","url":"lap.html"}]);